## org.apache.cassandra.cache
Class RowCacheSentinel

    java.lang.Object
      org.apache.cassandra.cache.RowCacheSentinel

All Implemented Interfaces:
  IRowCacheEntry

    public class RowCacheSentinel

extends java.lang.Object
implements IRowCacheEntry

A sentinel object for row caches. See comments to getThroughCache and CASSANDRA-3862.

Constructor Summary
`RowCacheSentinel()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowCacheSentinel

    public RowCacheSentinel()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation